<table class="table table-striped table-hover report-table table-bordered">
    <thead>
        <th>
            {{ trans('cruds.report.date') }}
        </th>
        @foreach ($sub_category as $sub_cat)
            <th>
                {{$sub_cat->title}}
            </th>
        @endforeach
        <th>
            {{ trans('cruds.report.balance') }}
        </th>
    </thead>
    <tbody>
        @if (count($deposit_date) == 0)
            <tr></tr>
        @endif
        @foreach ($deposit_date as $key => $dd)
            @php
                $dd = date('Y-d-m',strtotime($dd));
                $total = 0;
                $bank_amount = 0;
            @endphp
            <tr>
                <td>{{date('d/m/Y',strtotime($dd))}}</td>
                @foreach ($sub_category as $sub_cat)
                <td>
                    @foreach ($deposit_shop->where('date',$dd) as $ds)
                        @if (($dd == $ds->date) && ($sub_cat->id == $ds->sub_category_id))
                            {{number_format($ds->amount,2)}}
                            @if ($ds->bank_statement_id != null && $ds->status == 1)
                                @if ($ds->bank_statement != null)
                                    <br><span class="badge bg-inverse-danger">Credit : {{number_format($ds->bank_statement->amount,2)}}</span>
                                    @php
                                        $bank_amount += $ds->bank_statement->amount;
                                    @endphp
                                @endif
                            @endif

                            @php
                                $total += $ds->amount;
                            @endphp
                        @endif
                    @endforeach
                </td>
                @endforeach
                <td>{{number_format($bank_amount - $total,2)}}</td>
            </tr>
        @endforeach
    </tbody>
</table>





